## org.apache.batik.bridge
Class ScriptingEnvironment

    java.lang.Object
      org.apache.batik.bridge.BaseScriptingEnvironment
          org.apache.batik.bridge.ScriptingEnvironment

public class ScriptingEnvironment
extends BaseScriptingEnvironment

This class contains the informations needed by the SVG scripting.

Nested Class Summary
`protected class` `ScriptingEnvironment.DOMAttrModifiedListener`
`protected class` `ScriptingEnvironment.DOMNodeInsertedListener` The listener class for 'DOMNodeInserted' event.
`protected class` `ScriptingEnvironment.DOMNodeRemovedListener` The listener class for 'DOMNodeRemoved' event.
`protected class` `ScriptingEnvironment.EvaluateIntervalRunnable` To interpret a script.
`protected class` `ScriptingEnvironment.EvaluateRunnable` To interpret a script.
`protected class` `ScriptingEnvironment.EvaluateRunnableRunnable` To call a Runnable.
`protected class` `ScriptingEnvironment.ScriptingEventListener` To handle a scripting event.
`protected class` `ScriptingEnvironment.Window` Represents the window object of this environment.

Field Summary
`protected org.w3c.dom.events.EventListener` `activateListener` The activate event listener.
`protected org.w3c.dom.events.EventListener` `beginListener` The begin event listener.
`protected org.w3c.dom.events.EventListener` `clickListener` The click event listener.
`protected org.w3c.dom.events.EventListener` `domAttrModifiedListener` The DOMAttrModified event listener.
`protected org.w3c.dom.events.EventListener` `domNodeInsertedListener` The DOMNodeInserted event listener.
`protected org.w3c.dom.events.EventListener` `domNodeRemovedListener` The DOMNodeRemoved event listener.
`protected org.w3c.dom.events.EventListener` `endListener` The end event listener.
`protected org.w3c.dom.events.EventListener` `focusinListener` The focusin event listener.
`protected org.w3c.dom.events.EventListener` `focusoutListener` The focusout event listener.
`protected static java.lang.String` `FRAGMENT_PREFIX` Used in 'parseXML()'.
`protected static java.lang.String` `FRAGMENT_SUFFIX`
`protected org.w3c.dom.events.EventListener` `keydownListener` The keydown event listener.
`protected org.w3c.dom.events.EventListener` `keypressListener` The keypress event listener.
`protected org.w3c.dom.events.EventListener` `keyupListener` The keyup event listener.
`protected org.w3c.dom.events.EventListener[]` `listeners`
`protected org.w3c.dom.events.EventListener` `mousedownListener` The mousedown event listener.
`protected org.w3c.dom.events.EventListener` `mousemoveListener` The mousemove event listener.
`protected org.w3c.dom.events.EventListener` `mouseoutListener` The mouseout event listener.
`protected org.w3c.dom.events.EventListener` `mouseoverListener` The mouseover event listener.
`protected org.w3c.dom.events.EventListener` `mouseupListener` The mouseup event listener.
`protected org.w3c.dom.events.EventListener` `repeatListener` The repeat event listener.
`static java.lang.String[]` `SVG_DOM_EVENT`
`static java.lang.String[]` `SVG_EVENT_ATTRS`
`protected org.w3c.dom.events.EventListener` `svgAbortListener` The SVGAbort event listener.
`protected org.w3c.dom.events.EventListener` `svgErrorListener` The SVGError event listener.
`protected org.w3c.dom.events.EventListener` `svgResizeListener` The SVGResize event listener.
`protected org.w3c.dom.events.EventListener` `svgScrollListener` The SVGScroll event listener.
`protected org.w3c.dom.events.EventListener` `svgUnloadListener` The SVGUnload event listener.
`protected org.w3c.dom.events.EventListener` `svgZoomListener` The SVGZoom event listener.
`protected java.util.Timer` `timer` The timer for periodic or delayed tasks.
`protected UpdateManager` `updateManager` The update manager.
`protected RunnableQueue` `updateRunnableQueue` The update runnable queue.

Fields inherited from class org.apache.batik.bridge.BaseScriptingEnvironment
`ALTERNATE_EVENT_NAME, bridgeContext, docPURL, document, EVENT_NAME, EVENT_SCRIPT_DESCRIPTION, INLINE_SCRIPT_DESCRIPTION, interpreter, languages, userAgent`

Constructor Summary
`ScriptingEnvironment(BridgeContext ctx)` Creates a new ScriptingEnvironment.

Method Summary
`protected void` `addScriptingListeners(org.w3c.dom.Node node)` Adds the scripting listeners to the given element.
`Window` `createWindow(Interpreter interp, java.lang.String lang)` Creates a new Window object.
`void` `interrupt()` Interrupts the periodic tasks and dispose this ScriptingEnvironment.
`protected void` `removeScriptingListeners(org.w3c.dom.Node node)` Removes the scripting listeners from the given element.
`void` `runEventHandler(java.lang.String script, org.w3c.dom.events.Event evt, java.lang.String lang, java.lang.String desc)` Runs an event handler.
`protected void` `updateScriptingListeners(org.w3c.dom.Element elt, java.lang.String attr)` Updates the registration of a listener on the given element.

Methods inherited from class org.apache.batik.bridge.BaseScriptingEnvironment
`checkCompatibleScriptURL, createWindow, dispatchSVGDocEvent, dispatchSVGLoad, dispatchSVGLoadEvent, dispatchSVGResizeEvent, dispatchSVGScrollEvent, dispatchSVGZoomEvent, getInterpreter, getInterpreter, handleInterpreterException, handleSecurityException, initializeEnvironment, isDynamicDocument, isDynamicElement, loadScripts`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FRAGMENT_PREFIX

    protected static final java.lang.String FRAGMENT_PREFIX

  Used in 'parseXML()'.

  See Also:
    Constant Field Values

### FRAGMENT_SUFFIX

    protected static final java.lang.String FRAGMENT_SUFFIX

See Also:
  Constant Field Values

### SVG_EVENT_ATTRS

    public static final java.lang.String[] SVG_EVENT_ATTRS

### SVG_DOM_EVENT

    public static final java.lang.String[] SVG_DOM_EVENT

### timer

    protected java.util.Timer timer

  The timer for periodic or delayed tasks.

### updateManager

    protected UpdateManager updateManager

  The update manager.

### updateRunnableQueue

    protected RunnableQueue updateRunnableQueue

  The update runnable queue.

### domNodeInsertedListener

    protected org.w3c.dom.events.EventListener domNodeInsertedListener

  The DOMNodeInserted event listener.

### domNodeRemovedListener

    protected org.w3c.dom.events.EventListener domNodeRemovedListener

  The DOMNodeRemoved event listener.

### domAttrModifiedListener

    protected org.w3c.dom.events.EventListener domAttrModifiedListener

  The DOMAttrModified event listener.

### svgAbortListener

    protected org.w3c.dom.events.EventListener svgAbortListener

  The SVGAbort event listener.

### svgErrorListener

    protected org.w3c.dom.events.EventListener svgErrorListener

  The SVGError event listener.

### svgResizeListener

    protected org.w3c.dom.events.EventListener svgResizeListener

  The SVGResize event listener.

### svgScrollListener

    protected org.w3c.dom.events.EventListener svgScrollListener

  The SVGScroll event listener.

### svgUnloadListener

    protected org.w3c.dom.events.EventListener svgUnloadListener

  The SVGUnload event listener.

### svgZoomListener

    protected org.w3c.dom.events.EventListener svgZoomListener

  The SVGZoom event listener.

### beginListener

    protected org.w3c.dom.events.EventListener beginListener

  The begin event listener.

### endListener

    protected org.w3c.dom.events.EventListener endListener

  The end event listener.

### repeatListener

    protected org.w3c.dom.events.EventListener repeatListener

  The repeat event listener.

### focusinListener

    protected org.w3c.dom.events.EventListener focusinListener

  The focusin event listener.

### focusoutListener

    protected org.w3c.dom.events.EventListener focusoutListener

  The focusout event listener.

### activateListener

    protected org.w3c.dom.events.EventListener activateListener

  The activate event listener.

### clickListener

    protected org.w3c.dom.events.EventListener clickListener

  The click event listener.

### mousedownListener

    protected org.w3c.dom.events.EventListener mousedownListener

  The mousedown event listener.

### mouseupListener

    protected org.w3c.dom.events.EventListener mouseupListener

  The mouseup event listener.

### mouseoverListener

    protected org.w3c.dom.events.EventListener mouseoverListener

  The mouseover event listener.

### mouseoutListener

    protected org.w3c.dom.events.EventListener mouseoutListener

  The mouseout event listener.

### mousemoveListener

    protected org.w3c.dom.events.EventListener mousemoveListener

  The mousemove event listener.

### keypressListener

    protected org.w3c.dom.events.EventListener keypressListener

  The keypress event listener.

### keydownListener

    protected org.w3c.dom.events.EventListener keydownListener

  The keydown event listener.

### keyupListener

    protected org.w3c.dom.events.EventListener keyupListener

  The keyup event listener.

### listeners

    protected org.w3c.dom.events.EventListener[] listeners

Constructor Detail

### ScriptingEnvironment

    public ScriptingEnvironment(BridgeContext ctx)

  Creates a new ScriptingEnvironment.

Parameters:
  `ctx` - the bridge context

Method Detail

### createWindow

    public Window createWindow(Interpreter interp,
                               java.lang.String lang)

  Creates a new Window object.

  Overrides:
    `createWindow` in class `BaseScriptingEnvironment`

### runEventHandler

    public void runEventHandler(java.lang.String script,
                                org.w3c.dom.events.Event evt,
                                java.lang.String lang,
                                java.lang.String desc)

  Runs an event handler.

### interrupt

    public void interrupt()

  Interrupts the periodic tasks and dispose this ScriptingEnvironment.

### addScriptingListeners

    protected void addScriptingListeners(org.w3c.dom.Node node)

  Adds the scripting listeners to the given element.

### removeScriptingListeners

    protected void removeScriptingListeners(org.w3c.dom.Node node)

  Removes the scripting listeners from the given element.

### updateScriptingListeners

    protected void updateScriptingListeners(org.w3c.dom.Element elt,
                                            java.lang.String attr)

  Updates the registration of a listener on the given element.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.